Search documentation of tiger_stripe

# Stripe.Services.CustomerTaxIdService (tiger_stripe v0.1.1)

Copy Markdown View Source

CustomerTaxId API operations.

## Summary

### Functions

create(client, customer, params \\ %{}, opts \\ [])

Create a Customer tax ID

delete(client, customer, id, params \\ %{}, opts \\ [])

Delete a Customer tax ID

list(client, customer, params \\ %{}, opts \\ [])

List all Customer tax IDs

retrieve(client, customer, id, params \\ %{}, opts \\ [])

Retrieve a Customer tax ID

## Functions

# create(client, customer, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a Customer tax ID

Creates a new `tax_id` object for a customer.

# delete(client, customer, id, params \\ %{}, opts \\ [])

    @spec delete(Stripe.Client.t(), String.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Delete a Customer tax ID

Deletes an existing `tax_id` object.

# list(client, customer, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all Customer tax IDs

Returns a list of tax IDs for a customer.

# retrieve(client, customer, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a Customer tax ID

Retrieves the `tax_id` object with the given identifier.